/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
// Подключаем наш класс "фабрики" панели инструментов
#include "TToolbarFactory.h"
//---------------------------------------------------------------------
class TStatusBar;
//---------------------------------------------------------------------
// Класс компонента содержимого.
// Наследует класс слушателя кнопок
class TCentralComponent  : public Component,
                           public ButtonListener
{
public:
    TCentralComponent();
    ~TCentralComponent();

    void paint(Graphics&);
    void resized();
    // Функция, отслеживающая щелчки по кнопке
    void buttonClicked(Button*);
    // Функция, отслеживающая движение мыши
    void mouseMove(const MouseEvent&);

private:
    // Ярлык для вывода сообщений
    Label* pInfoLabel;
    // Панель инструментов
    Toolbar* pToolbar;
    TToolbarFactory ToolbarFactory;
    // Полоса состояния
    TStatusBar* pStatusBar;

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
